Package it.ernytech.tdlib

## Class TdApi.MessageGameScore

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.MessageContent
    - - it.ernytech.tdlib.TdApi.MessageGameScore

Enclosing class:
  TdApi

    public static class TdApi.MessageGameScore
    extends TdApi.MessageContent

A new high score was achieved in a game.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long` `gameId` Identifier of the game, may be different from the games presented in the message with the game.
`long` `gameMessageId` Identifier of the message with the game, can be an identifier of a deleted message.
`int` `score` New score.

### Constructor Summary

Constructors
`MessageGameScore()` Default constructor.
`MessageGameScore​(long gameMessageId, long gameId, int score)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### gameMessageId

    public long gameMessageId

Identifier of the message with the game, can be an identifier of a deleted message.

#### gameId

    public long gameId

Identifier of the game, may be different from the games presented in the message with the game.

#### score

    public int score

New score.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### MessageGameScore

    public MessageGameScore()

Default constructor.

#### MessageGameScore

    public MessageGameScore​(long gameMessageId,
                            long gameId,
                            int score)

Constructor for initialization of all fields.

Parameters:
  `gameMessageId` - Identifier of the message with the game, can be an identifier of a deleted message.
  `gameId` - Identifier of the game, may be different from the games presented in the message with the game.
  `score` - New score.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR